# Class SellerAsMakerTrade

#### Hierarchy

- unknown
  - SellerAsMakerTrade

- Defined in src/protobuf/pb_pb.d.ts:6365
- Defined in src/protobuf/pb_pb.d.ts:6379

#####
Index

### Constructors

constructor

### Methods

clearTrade
getTrade
hasTrade
serializeBinary
setTrade
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SellerAsMakerTrade(): SellerAsMakerTrade

- #### Returns SellerAsMakerTrade

  Inherited from jspb.Message.constructor

## Methods

### clearTrade

- clearTrade(): SellerAsMakerTrade

- #### Returns SellerAsMakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6369

### getTrade

- getTrade(): undefined | Trade

- #### Returns undefined | Trade

  - Defined in src/protobuf/pb_pb.d.ts:6366

### hasTrade

- hasTrade(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6368

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6371

### setTrade

- setTrade(value?: Trade): SellerAsMakerTrade

- #### Parameters

  - ##### `Optional` value: Trade

  #### Returns SellerAsMakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6367

### toObject

- toObject(includeInstance?: boolean): SellerAsMakerTrade.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SellerAsMakerTrade.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6372

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SellerAsMakerTrade

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SellerAsMakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6375

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SellerAsMakerTrade, reader: BinaryReader): SellerAsMakerTrade

- #### Parameters

  - ##### message: SellerAsMakerTrade

  - ##### reader: BinaryReader

  #### Returns SellerAsMakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6376

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SellerAsMakerTrade, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SellerAsMakerTrade

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6374

### `Static` toObject

- toObject(includeInstance: boolean, msg: SellerAsMakerTrade): SellerAsMakerTrade.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SellerAsMakerTrade

  #### Returns SellerAsMakerTrade.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6373

Generated using TypeDoc